[package]
name = "colorsession"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
lazy_static = "1.4.0"
prometheus = { version = "0.13.3", features = ["process"] }
rand = "0.8.5"
rocket = "0.5.0"

[profile.release]
opt-level = 'z'   # Optimize for size.
lto = true        # Enable Link Time Optimisation
codegen-units = 1 # Reduced to increase optimisations.
panic = 'abort'   # Abort on panic
strip = "symbols" # Strip symbols from binary

[lints.rust]
unsafe_code = "forbid"

[lints.clippy]
enum_glob_use = "deny"
pedantic = "deny"
nursery = "deny"
unwrap_used = "deny"
